Package org.eclipse.ui.views.properties.tabbed

## Class AbstractTabDescriptor

- java.lang.Object
- - org.eclipse.ui.views.properties.tabbed.AbstractTabDescriptor

All Implemented Interfaces:
  `Cloneable`, `ITabDescriptor`, `ITabItem`

    public abstract class AbstractTabDescriptor
    extends Object
    implements ITabDescriptor, Cloneable

An abstract implementation of a tab descriptor for the tabbed property view.

Since:
  3.4

### Field Summary

### Fields inherited from interface org.eclipse.ui.views.properties.tabbed.ITabDescriptor

`TOP`

### Constructor Summary

Constructors
`AbstractTabDescriptor()` Constructor for AbstractTabDescriptor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `clone()`
`TabContents` `createTab()` Instantiate this tab's sections.
`boolean` `equals​(Object object)`
`String` `getAfterTab()` Get the identifier of the tab after which this tab should be displayed.
`Image` `getImage()` Get the icon image for the tab.
`List` `getSectionDescriptors()` Get the list of section descriptors for the tab.
`String` `getText()` Get the text label for the tab.
`int` `hashCode()`
`boolean` `isIndented()` Determine if this tab is indented.
`boolean` `isSelected()` Determine if this tab is selected.
`void` `setSectionDescriptors​(List sectionDescriptors)` Set the list of section descriptors for the tab.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.views.properties.tabbed.ITabDescriptor

`getCategory, getId, getLabel`

### Constructor Detail

#### AbstractTabDescriptor

    public AbstractTabDescriptor()

Constructor for AbstractTabDescriptor.

### Method Detail

#### clone

    public Object clone()

Overrides:
  `clone` in class `Object`

#### createTab

    public TabContents createTab()

Description copied from interface: `ITabDescriptor`
Instantiate this tab's sections.

Specified by:
  `createTab` in interface `ITabDescriptor`
Returns:
  The tab contents for this section.

#### equals

    public boolean equals​(Object object)

Overrides:
  `equals` in class `Object`

#### getAfterTab

    public String getAfterTab()

Description copied from interface: `ITabDescriptor`
Get the identifier of the tab after which this tab should be displayed. When two or more tabs belong to the same category, they are sorted by the after tab values.

Specified by:
  `getAfterTab` in interface `ITabDescriptor`
Returns:
  the identifier of the tab.

#### getImage

    public Image getImage()

Description copied from interface: `ITabItem`
Get the icon image for the tab.

Specified by:
  `getImage` in interface `ITabItem`
Returns:
  the icon image for the tab.

#### getSectionDescriptors

    public List getSectionDescriptors()

Get the list of section descriptors for the tab.

Specified by:
  `getSectionDescriptors` in interface `ITabDescriptor`
Returns:
  the list of section descriptors for the tab.

#### getText

    public String getText()

Description copied from interface: `ITabItem`
Get the text label for the tab.

Specified by:
  `getText` in interface `ITabItem`
Returns:
  the text label for the tab.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### isIndented

    public boolean isIndented()

Description copied from interface: `ITabItem`
Determine if this tab is indented.

Specified by:
  `isIndented` in interface `ITabItem`
Returns:
  `true` if this tab is indented.

#### isSelected

    public boolean isSelected()

Description copied from interface: `ITabItem`
Determine if this tab is selected.

Specified by:
  `isSelected` in interface `ITabItem`
Returns:
  `true` if this tab is selected.

#### setSectionDescriptors

    public void setSectionDescriptors​(List sectionDescriptors)

Set the list of section descriptors for the tab.

Parameters:
  `sectionDescriptors` - the list of section descriptors for the tab.